When you reach level 5, you should pick one of two weapon skills, depending on your preference in weapons. If you fight with a dagger, learn Mortal Blow , and if you wield a sword learn Power Strike.
When you have learned the weapon skill of your choice, use any remaining SP to acquire some passive skills. Also, if you are using a bow, Power Shot is an invaluable skill. It is a powerful offensive skill that allows you to defeat even monsters who are somewhat stronger than you.
Return